Subject: [Icar] Re: I-D ACTION:draft-allman-icar-wg-revcomm-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Wed, 28 Apr 2004 14:51:02 +0200

> http://www.ietf.org/internet-drafts/draft-allman-icar-wg-revcomm-00.txt

This is an interesting concept and I agree it is worth a try.

How will this apply to non-WG drafts?

One element of SIRs that is missing, if we implemented both this
and draft-alvestrand-icar-xarea-00.txt, is the notion of continuity.
SIRs suggested that a reviewer should stay with a document
through its life. If we set up both WG review teams (for early
review) and Area review teams (for late review), we will lose
this continuity. Also, we run a risk of not finding enough reviewers
to staff all these teams.

Two details:

(end of section 2)

>     A committee is formed by consultation between the WG chairs and
>     shepherding AD.  The WG chairs generate a list of potential members,
>     and discuss with the AD about who might be appropriate. After an
>     agreed upon list of members has been generated, the WG chairs
>     contact the committee members to assess their willingness to serve.

I would add here that there will be a pointer to the team
from the WG's charter page.

(in section 4)

>     One issue that arose with the Seamoby review committees is that
>     because the WG is not obliged to accept the review committee's
>     opinion, even if the review committee members are senior and
>     respected people, there is no guarantee that problems identified by
>     the review committee will be addressed by the WG. This is in
>     contrast to review committees for academic conferences and journals,
>     where authors are typically required to address points raised during
>     peer review, or their paper will not be published.

Firstly, this is really only an issue for late review and IESG
approval - if is known to have ignored early review comments,
that will be a strong common-sense signal to the late reviewers
and the IESG.

Secondly, the best defense against this problem is to put all the
reviews into a public archive. I think this goes for *any* review
system we put in place - all reviews should be hyperlinked from
a master page for the I-D in question.

    Brian

_______________________________________________
Icar mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/icar